summaryrefslogtreecommitdiff
path: root/report.sh
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2022-01-16 12:42:07 +0200
committerLars Wirzenius <liw@liw.fi>2022-01-16 12:42:07 +0200
commitd9efc89cc3f12978966b3b64957dc365f60b32a8 (patch)
tree85632ac9cb4dbac356fc19c235c814ea03e679cd /report.sh
parent9c93adbb411274c05ac4e3c4cfbbcc9ff112a0b4 (diff)
downloadobnam-benchmark-results-d9efc89cc3f12978966b3b64957dc365f60b32a8.tar.gz
feat: add script to produce HTML report from result files
Sponsored-by: author
Diffstat (limited to 'report.sh')
-rwxr-xr-xreport.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/report.sh b/report.sh
new file mode 100755
index 0000000..02935d8
--- /dev/null
+++ b/report.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+set -euo pipefail
+
+TITLE="Obnam benchmarks"
+obnam-benchmark report "$@" |
+ pandoc - -o obnam-benchmark.html --standalone -H report.css --toc --metadata title="$TITLE"